glibmm 2.66.10

Public Types | Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Glib::Object Class Reference

`#include <glibmm/object.h>`

Inheritance diagram for Glib::Object:
[legend]

## Public Types
using | DestroyNotify = void (*)(gpointer data)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Public Member Functions
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object && src) noexcept
Object & | operator= (Object && src) noexcept
void * | get_data (const QueryQuark & key)
void | set_data (const Quark & key, void * data)
void | set_data (const Quark & key, void * data, DestroyNotify notify)
void | remove_data (const QueryQuark & quark)
void * | steal_data (const QueryQuark & quark)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring & property_name, const Glib::ValueBase & value)
| You probably want to use a specific property_*() accessor method instead.
void | get_property_value (const Glib::ustring & property_name, Glib::ValueBase & value) const
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType>
void | set_property (const Glib::ustring & property_name, const PropertyType & value)
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType>
void | get_property (const Glib::ustring & property_name, PropertyType & value) const
| You probably want to use a specific property_*() accessor method instead.
void | connect_property_changed (const Glib::ustring & property_name, const sigc::slot< void > & slot)
| You can use the signal_changed() signal of the property proxy instead.
void | connect_property_changed (const Glib::ustring & property_name, sigc::slot< void > && slot)
| You can use the signal_changed() signal of the property proxy instead.
sigc::connection | connect_property_changed_with_return (const Glib::ustring & property_name, const sigc::slot< void > & slot)
| You can use the signal_changed() signal of the property proxy instead.
sigc::connection | connect_property_changed_with_return (const Glib::ustring & property_name, sigc::slot< void > && slot)
| You can use the signal_changed() signal of the property proxy instead.
void | freeze_notify ()
| Increases the freeze count on object.
void | thaw_notify ()
| Reverts the effect of a previous call to freeze_notify().
virtual void | reference () const
| Increment the reference count for this object.
virtual void | unreference () const
| Decrement the reference count for this object.
GObject * | gobj ()
| Provides access to the underlying C GObject.
const GObject * | gobj () const
| Provides access to the underlying C GObject.
GObject * | gobj_copy () const
| Give a ref-ed copy to someone. Use for direct struct access.
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Protected Member Functions
| Object ()
| Object (const Glib::ConstructParams & construct_params)
| Object (GObject * castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| This default constructor is called implicitly from the constructor of user-derived classes, even if, for instance, Gtk::Button calls a different ObjectBase constructor.
| ObjectBase (const char * custom_type_name)
| A derived constructor always overrides this choice.
| ObjectBase (const std::type_info & custom_type_info)
| This constructor is a special feature to allow creation of derived types on the fly, without having to use g_object_new() manually.
| ObjectBase (ObjectBase && src) noexcept
ObjectBase & | operator= (ObjectBase && src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject * castitem)
void | initialize_move (GObject * castitem, Glib::ObjectBase * previous_wrapper)

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Glib::Object > | wrap (GObject * object, bool take_copy=false)

## Member Typedef Documentation

## ◆ DestroyNotify

using Glib::Object::DestroyNotify = void (*)(gpointer data)

## Constructor & Destructor Documentation

## ◆ Object() [1/5]

Glib::Object::Object | ( | const Object & |  | ) |
| delete

## ◆ Object() [2/5]

Glib::Object::Object | ( | Object && | src | ) |
| noexcept

## ◆ Object() [3/5]

Glib::Object::Object | ( |  | ) |
| protected

## ◆ Object() [4/5]

Glib::Object::Object | ( | const Glib::ConstructParams & | construct_params | ) |
| explicit protected

## ◆ Object() [5/5]

Glib::Object::Object | ( | GObject * | castitem | ) |
| explicit protected

## ◆ ~Object()

Glib::Object::~Object | ( |  | ) |
| override protected noexcept

## Member Function Documentation

## ◆ get_data()

void * Glib::Object::get_data | ( | const QueryQuark & | key | ) |

## ◆ operator=() [1/2]

Object & Glib::Object::operator= | ( | const Object & |  | ) |
| delete

## ◆ operator=() [2/2]

Object & Glib::Object::operator= | ( | Object && | src | ) |
| noexcept

## ◆ remove_data()

void Glib::Object::remove_data | ( | const QueryQuark & | quark | ) |

## ◆ set_data() [1/2]

void Glib::Object::set_data | ( | const Quark & | key,
|  | void * | data )

## ◆ set_data() [2/2]

void Glib::Object::set_data | ( | const Quark & | key,
|  | void * | data,
|  | DestroyNotify | notify )

## ◆ steal_data()

void * Glib::Object::steal_data | ( | const QueryQuark & | quark | ) |

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Glib::Object > wrap | ( | GObject * | object,
|  | bool | take_copy = false )
| related